<?php

define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
if($_GET['id']){$id = $_GET['id'];}
$adminka->admin();
$forum = mysql_fetch_array(mysql_query("SELECT * FROM forum_them WHERE id=$id"));
$shcmsengine['title'] = 'Форум - Редактирование - '.$forum['name'].'';
include_once'../template/head.php';
registrat();
if(!$id)
{
echo '<div class="errors">Вы зашли неправильно.</div>';
header("Refresh:1; url=/forum/");
include_once'../template/foot.php';
exit;
}
if($_POST['submit'])
{$submit = $_POST['submit'];}

if(isset($submit))
{
if($_POST['name'])
{$name = $_POST['name'];}
if($_POST['text'])
{$message = $_POST['text'];}
if($_POST['close_them'])
{$close_them = $_POST['close_them'];}

if(empty($name))
{
echo '<div class="errors">Введите название.</div>';
header("Refresh:1; url=?id=$id");
include_once'../template/foot.php';
exit;
}
if(strlen($name)<0 || strlen($name) > 50)
{

echo '<div class="errors">Название не должно превышать больше 50символов.</div>';
header("Refresh:1; url=?id=$id");
include_once'../template/foot.php';
exit;
}
if(strlen($message)< 0 || strlen($message)>100)
{
echo '<div class="errors">Описание не должно превышать больше 100символов</div>';
header("Refresh:1; url=?id=$id");
include_once'../template/foot.php';
exit;
}
$ok_forum = mysql_query("UPDATE `forum_them` SET `name`='$name',`close`='$close_them' WHERE `id`='$id'");
if($ok_forum == true)
{
echo '<div class="actshcms">Параметры изменены</div>';
header("Refresh:1; url=?id=$id");
include_once'../template/foot.php';
exit;
}
else
{
echo '<div class="errors">При редактировании возникли ошибки</div>';
header("Refresh:1; url=?id=$id");
include_once'../template/foot.php';
exit;
}
}
echo '<form action="?id='.$id.'" method="post">';
echo 'Название темы<br/><input type="text" name="name" value="'.$forum['name'].'"><br/>';

echo 'Тема:<br/><select name="close_them">

<option  value="0"' . ($forum['close'] == 0? ' selected="selected">' : '>') . 'Открывать</option>
<option value="1"' . ($forum['close'] == 1? ' selected="selected">' : '>') .'Закрывать</option>
</select><br/>
';
echo '<input type="submit" name="submit" value="Изменить">';
echo '</form>';

include_once'../template/foot.php';
?>